Skip to main content
POST
Create a billing entity

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Body

application/json

Request body for creating a new billing entity

name
string
required

Name of the billing entity

Example:

"Acme Inc"

code
string
required

Unique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.

Pattern: ^[a-zA-Z0-9_-]*$
Example:

"acme_inc"

default_currency
string

Currency code in ISO 4217 format.

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

finalize_zero_amount_invoice
boolean

Whether to finalize invoices with zero amount

Example:

true

address
object

Address of the customer or party.

Legal name of the entity

Example:

"Acme Corporation Inc."

Legal registration number

Example:

"US123456789"

email
string<email> | null

Contact email for the entity

Example:

"billing@acmeinc.com"

timezone
string

The timezone of the billing entity

Example:

"UTC"

Response

Billing entity created successfully

Response object for billing entity operations

name
string
required

Name of the billing entity

Example:

"Acme Inc"

default_currency
string

Currency code in ISO 4217 format.

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

finalize_zero_amount_invoice
boolean

Whether to finalize invoices with zero amount

Example:

true

address
object

Address of the customer or party.

Legal name of the entity

Example:

"Acme Corporation Inc."

Legal registration number

Example:

"US123456789"

email
string<email> | null

Contact email for the entity

Example:

"billing@acmeinc.com"

timezone
string

The timezone of the billing entity

Example:

"UTC"

code
string

Unique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.

Pattern: ^[a-zA-Z0-9_-]*$
Example:

"acme_inc"

is_default
boolean

Whether this is the default billing entity

Example:

false

id
string<uuid>

The unique identifier for the billing entity

Example:

"b8e2a656-04eb-441c-a6b2-bfab9e2a0f7c"

created_at
string<date-time>

Creation timestamp

Example:

"2023-01-15T00:00:00Z"

updated_at
string<date-time>

Last update timestamp

Example:

"2023-01-15T00:00:00Z"

taxes
object[]

List of tax entities configured for the billing entity